---
lang: en
title: 'API docs: authentication-jwt.usercredentialsrepository'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.usercredentialsrepository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [UserCredentialsRepository](./authentication-jwt.usercredentialsrepository.md)

## UserCredentialsRepository class

**Signature:**

```typescript
export declare class UserCredentialsRepository extends DefaultCrudRepository<UserCredentials, typeof UserCredentials.prototype.id, UserCredentialsRelations> 
```
**Extends:** DefaultCrudRepository&lt;[UserCredentials](./authentication-jwt.usercredentials.md)<!-- -->, typeof [UserCredentials.prototype.id](./authentication-jwt.usercredentials.id.md)<!-- -->, [UserCredentialsRelations](./authentication-jwt.usercredentialsrelations.md)<!-- -->&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(dataSource)](./authentication-jwt.usercredentialsrepository._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `UserCredentialsRepository` class


</td></tr>
</tbody></table>

